Open In App

Contest Experience: Leetcode Biweekly Contest 111

Last Updated : 02 Jan, 2024
Improve
Improve
Like Article
Like
Save
Share
Report

About the contest:

This contest was organized by Leetcode on Aug 19, 2023, it consisted of 4 questions and the time given to solve them was 1 hour 30 minutes i.e. 90 mins.

Link of the contest: Leetcode Biweekly Contest 111

Perks/Prizes/Offers:

Rank

Coins

1st

5000

2nd

2500

3rd

1000

4 – 50th

300

51 – 100th

100

101 – 200th

50

Participate

5

First Time Participate

200

Participate Biweekly + Weekly Contests in Same Week

35

Overview of the Questions:

Problem

Topic

Difficulty

Time Taken

No. of Submission

Count Pairs Whose Sum is Less than Target

Arrays

Easy

2 min

1

Make String a Subsequence Using Cyclic Increments

String and Two Pointer

Medium

8 min

1

Sorting Three Groups

Dynamic Programming

Medium

25 min

2

Number of Beautiful Integers in the Range

Digit Dynamic Programming

Hard

30 min

2

Problem 1: Count Pairs Whose Sum is Less than Target

Difficulty: Easy (3 points)

Pre-requiste to solve that problem: Arrays and Simulation

Approximate time taken to solve by you: 01:47 min

Number of Attempts by you: 1

My Experience: The first question was a cakewalk. It just took me 2 min to solve the problem.

Accepted Solution: We could simply just run two for loop and check for the condition asked, if true increase the counter by one, else continue. Time Complexity: O(N^2) and Space Complexity: O(1).

Problem 2: Make String a Subsequence Using Cyclic Increments

Difficulty: Medium (4 points)

Pre-requiste to solve that problem: String and Two Pointers

Approximate time taken to solve by you: 08:00 min

Number of Attempts by you: 1

My Experience: Once you get the intuition the question was doable.

Accepted Solution:Did this question with help of two pointer and a while loop. inside the loop whenever the condition was satisfied I incremented both pointers by one and if not only the last pointer was incremented. Time Complexity: O(N) and Space Complexity: O(1).

Problem 3: Sorting Three Groups

Difficulty: Medium (5 points)

Pre-requiste to solve that problem: Dynamic programming

Approximate time taken to solve by you: 25:00 min

Number of Attempts by you: 2

My Experience: At first I wasn’t able to recognise that this question is a dp problem, as I gone through multiple test cases I realised this can only be solved by the concept of dp. This was a hard for me.

Accepted Solution: Since the constraints were low I solved this question in O(N^3). Time Complexity: O(N^3) and Space Complexity: O(N^2).

Problem 4: Number of Beautiful Integers in the Range

Difficulty: Hard (6 points)

Pre-requiste to solve that problem: Digit Dynamic programming

Approximate time taken to solve by you: I wasn’t able to solve during the live contest but I did upsolve this question that took me around 30 min.

Number of Attempts by you: 2+

My Experience: During the contest I solved this question using brutz force technique and it got me tle.

CONCLUSION:

I was able to solve 3/4 questions this time. I wasn’t able to solve all 4 of those problems as this contest was a bit hard for me. But I learned a lot. By giving Contest you gain many thing like speed, consistency, motivation(sometimes gets demotivate but that’s part of the journey), time management, pressure handling,new concepts etc. which teach us a lot.

Keep Hustling, Keep Coding!!!!!!!!!!



Like Article
Suggest improvement
Share your thoughts in the comments

Similar Reads